## doublecmd 0.9.1

=== debian/changelog ===
doublecmd (0.9.1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 05 Mar 2019 13:27:06 -0800

doublecmd (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Suggest libunrar5 instead of libunrar0 since #720051 is fixed
  * Suggest libffmpegthumbnailer4v5 instead of libffmpegthumbnailer4
  * Drop obsolete Breaks/Replaces on doublecmd-*-dbg packages

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Feb 2019 07:03:41 +0000

=== debian/control ===
Source: doublecmd
Section: utils
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 11),
               fp-units-misc,
               fp-units-net,
               lcl-gtk2,
               lcl-qt5,
               lcl-units,
               lcl-utils,
               libbz2-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libqt5pas-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
Homepage: https://doublecmd.sourceforge.io

Package: doublecmd-gtk
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (GTK2)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar5 package from non-free.
 .
 This package contains the GTK2 user interface.

Package: doublecmd-qt
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (Qt5)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar5 package from non-free.
 .
 This package contains the Qt5 user interface.

Package: doublecmd-plugins
Architecture: any
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (plugins)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar5 package from non-free.
 .
 This package contains plugins.

Package: doublecmd-common
Architecture: all
Multi-Arch: foreign
Recommends: doublecmd-gtk | doublecmd-qt
Depends: desktop-file-utils, ${misc:Depends}
Suggests: doublecmd-help-en | doublecmd-help,
          libffmpegthumbnailer4v5,
          libunrar5,
          mplayer,
          rabbitvcs-core,
          xterm | x-terminal-emulator
Description: twin-panel (commander-style) file manager
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar-dev package from non-free.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set temporary HOME for lazarus primary config directory
export HOME=$(CURDIR)/tmphome

%:
	dh $@

override_dh_install:
	cd language ;\
		if [ -f doublecmd.po ] ; then mv doublecmd.po doublecmd.en.po; fi ;

	# Remove convenience copy of Free Pascal Qt4 binding, use libqt4pas-dev instead
	rm -f plugins/wlx/WlxMplayer/src/qt4.pas

	# Build GTK2 version
	./build.sh beta gtk2
	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-common
	./clean.sh

	# Build Qt5 version
	./build.sh beta qt5
	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-qt-temp
	./clean.sh

	# Separate GTK2-specific files
	mkdir -p $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins/
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/

	# Separate Qt5-specific files
	mkdir -p $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins/
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
	rm -rf $(CURDIR)/debian/doublecmd-qt-temp/

	# Separate plugins
	mkdir -p $(CURDIR)/debian/doublecmd-plugins/usr/lib/doublecmd
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins $(CURDIR)/debian/doublecmd-plugins/usr/lib/doublecmd

	# Clean up common files
	rm -rf $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/doc
	find $(CURDIR)/debian/doublecmd-common/usr/share/ -type f | xargs chmod a-x ;

	# Install icons for AppStream
	rm -rf $(CURDIR)/debian/doublecmd-common/usr/share/pixmaps/
	rm -f $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/scalable/apps/doublecmd.svg
	cp $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/pixmaps/mainicon/alt/dcfinal.svg $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/scalable/apps/doublecmd.svg
	mkdir -p $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/128x128/apps
	cp $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/pixmaps/mainicon/alt/128px-dcfinal.png $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/128x128/apps/doublecmd.png
	mkdir -p $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/256x256/apps
	cp $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/pixmaps/mainicon/alt/256px-dcfinal.png $(CURDIR)/debian/doublecmd-common/usr/share/icons/hicolor/256x256/apps/doublecmd.png

	dh_install

override_dh_clean:
	./clean.sh

	cd language ;\
		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;
	# Clean up temporary HOME
	rm -rf $(CURDIR)/tmphome
	# Remove generated changelog
	rm -f $(CURDIR)/changelog.txt
	dh_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## doublecmd 0.9.2

=== debian/changelog ===
doublecmd (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * Drop libunrar5.patch, no longer needed

 -- Graham Inggs <ginggs@debian.org>  Tue, 02 Apr 2019 09:22:22 +0000

## doublecmd 0.9.3

=== debian/changelog ===
doublecmd (0.9.3-1~mx17+1) mx; urgency=medium
  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 23 May 2019 12:09:30 -0700

doublecmd (0.9.3-1) experimental; urgency=medium

  * New upstream release
    - Fix insecure use of /tmp (Closes: #926223)
  * Refresh patches
  * Add ${shlibs:Depends} to dependencies of doublecmd-plugins
  * Drop unused Lintian overrides

 -- Graham Inggs <ginggs@debian.org>  Mon, 20 May 2019 12:03:30 +0000

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,8 @@
 
 Package: doublecmd-plugins
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: twin-panel (commander-style) file manager (plugins)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander

## doublecmd 0.9.5

=== debian/changelog ===
doublecmd (0.9.5-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18. 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 13 Jul 2019 12:06:43 -0700

doublecmd (0.9.5-1~mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 13 Jul 2019 05:14:52 -0700

doublecmd (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 10 Jul 2019 11:05:40 +0000

doublecmd (0.9.3-2) unstable; urgency=medium

  * Switch to debhelper 12 and disable dh_dwz
  * Set Rules-Requires-Root: no
  * Upload to unstable

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jul 2019 23:03:40 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -16,7 +16,8 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
 Homepage: https://doublecmd.sourceforge.io

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,8 @@
 	rm -f $(CURDIR)/changelog.txt
 	dh_clean
 
+override_dh_dwz:
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## doublecmd 0.9.6

=== debian/changelog ===
doublecmd (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Enable dh_dwz now that #933541 is fixed

 -- Graham Inggs <ginggs@debian.org>  Thu, 05 Sep 2019 16:58:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper-compat (= 12),
                fp-units-misc,

## doublecmd 0.9.7

=== debian/changelog ===
doublecmd (0.9.7-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 09 Jan 2020 14:00:54 -0800

doublecmd (0.9.6-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Changed debhelper to (>= 11)

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Oct 2019 12:08:24 -0700

## doublecmd 0.9.8

=== debian/changelog ===
doublecmd (0.9.8-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 25 Feb 2020 16:30:04 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 11),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,

## doublecmd 0.9.9

=== debian/changelog ===
doublecmd (0.9.9-1) unstable; urgency=medium

  * New upstream release
    - Fix Mount with udisks2 2.9.0 (Closes: #961745)
  * Refresh debian/patches
  * Switch to debhelper 13
  * Update Lintian overrides

 -- Graham Inggs <ginggs@debian.org>  Tue, 30 Jun 2020 09:44:00 +0000

doublecmd (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 09 Feb 2020 09:45:52 +0000

doublecmd (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Jan 2020 08:24:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -16,7 +15,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 0.9.10

=== debian/changelog ===
doublecmd (0.9.10-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Update Lintian overrides
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 14 Feb 2021 08:08:01 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.0.0

=== debian/changelog ===
doublecmd (1.0.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 29 Oct 2021 17:16:14 -0700

doublecmd (0.9.10-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 29 Aug 2021 13:06:04 -0700

doublecmd (0.9.10-1mx19+1) mx; urgency=medium

  * New upstream release.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Jan 2021 05:55:33 -0800

doublecmd (0.9.9-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 16 Jul 2020 17:29:25 -0700

## doublecmd 1.0.1

=== debian/changelog ===
doublecmd (1.0.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 15 Nov 2021 13:34:21 -0800

## doublecmd 1.0.2

=== debian/changelog ===
doublecmd (1.0.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 23 Dec 2021 15:50:37 -0800

doublecmd (1.0.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 15 Nov 2021 13:32:45 -0800

doublecmd (1.0.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 29 Oct 2021 17:16:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 12),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -15,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.0.3

=== debian/changelog ===
doublecmd (1.0.3-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Jan 2022 13:01:20 -0800

## doublecmd 1.0.4

=== debian/changelog ===
doublecmd (1.0.4-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 10 Feb 2022 15:49:44 -0800

## doublecmd 1.0.5

=== debian/changelog ===
doublecmd (1.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Apr 2022 07:55:10 +0000

doublecmd (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Feb 2022 10:57:55 +0000

doublecmd (1.0.2-1) unstable; urgency=medium

  [ Abou Al Montacir ]
  * Added myself to uploaders list
  * Added gbp.conf file to easily build with COW builder
  * Ignore VI swap files

  [ Graham Inggs ]
  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Tue, 28 Dec 2021 07:54:30 +0000

doublecmd (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sat, 13 Nov 2021 12:01:31 +0000

doublecmd (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 31 Oct 2021 08:27:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 12),
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>,
+           Abou Al Montacir <bou.almontacir@sfr.fr>
+Build-Depends: debhelper-compat (= 13),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -16,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.0.6

=== debian/changelog ===
doublecmd (1.0.6-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 16 Jun 2022 12:23:25 -0700

doublecmd (1.0.5-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Apr 2022 06:37:35 -0700

## doublecmd 1.0.8

=== debian/changelog ===
doublecmd (1.0.8-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Sep 2022 14:13:23 -0700

## doublecmd 1.0.9

=== debian/changelog ===
doublecmd (1.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sat, 10 Dec 2022 14:03:19 +0000

doublecmd (1.0.8-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update Lintian overrides
  * Move a paragraph in debian/copyright to avoid a
    superfluous-file-pattern Lintian warning

 -- Graham Inggs <ginggs@debian.org>  Mon, 10 Oct 2022 21:35:42 +0000

doublecmd (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1, no changes
  * Fix a typo in uploaders

 -- Graham Inggs <ginggs@debian.org>  Tue, 07 Jun 2022 17:24:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
-           Abou Al Montacir <bou.almontacir@sfr.fr>
+           Abou Al Montacir <abou.almontacir@sfr.fr>
 Build-Depends: debhelper-compat (= 13),
                fp-units-misc,
                fp-units-net,
@@ -16,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.0.10

=== libraries/src/libbz2/Makefile ===
# This Makefile builds a shared version of the library libbz2.dll

CC=gcc
LDFLAGS=-Wl,--enable-stdcall-fixup -Wl,--strip-all
CFLAGS=-Wall -Winline -O2 -D_FILE_OFFSET_BITS=64 -DBZ_NO_STDIO

# Determine output directory
ARCH=$(shell $(LD) --print-output-format)
ifeq ($(ARCH), pei-i386)
  OUTPUT=..\..\bin\i386-win32
else ifeq ($(ARCH), pei-x86-64)
  OUTPUT=..\..\bin\x86_64-win64
endif

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o      \
      error.o

all: $(OBJS)
	$(CC) -shared -static $(LDFLAGS) -o $(OUTPUT)\bz2.dll $(OBJS) libbz2.def

clean: 
	$(RM) -f $(OBJS) $(OUTPUT)\bz2.dll

=== plugins/wfx/gvfs/src/Makefile ===
# compiler options
CC = gcc
CFLAGS =-I. -I/usr/include -I../../../../sdk \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

VFS_OBJECTS=gvfs.o

.SUFFIXES: .c
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<

all shared static: gvfs.wfx

gvfs.wfx: $(VFS_OBJECTS)
	$(CC) -shared -o ../lib/gvfs.wfx $(VFS_OBJECTS) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --libs`

clean: 
	rm -f *.o *.d *.gch
	rm -f ../lib/gvfs.wfx

=== debian/changelog ===
doublecmd (1.0.10-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Bump Standards-Version to 4.6.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 11 Feb 2023 05:07:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.0.11

=== debian/changelog ===
doublecmd (1.0.11-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 14 Apr 2023 06:25:20 -0700

doublecmd (1.0.10-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 27 Jan 2023 07:07:39 -0800

doublecmd (1.0.9-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Dec 2022 15:59:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>,
-           Abou Al Montacir <abou.almontacir@sfr.fr>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>
+Build-Depends: debhelper (>= 13),
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -16,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,7 @@
 		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;
 	# Clean up temporary HOME
 	rm -rf $(CURDIR)/tmphome
-	# Remove generated changelog
-	rm -f $(CURDIR)/changelog.txt
 	dh_clean
-
-override_dh_dwz:
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## doublecmd 1.1.3

=== debian/changelog ===
doublecmd (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Graham Inggs <ginggs@debian.org>  Wed, 04 Oct 2023 17:35:20 +0000

doublecmd (1.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Sep 2023 13:14:24 +0000

doublecmd (1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 27 Aug 2023 13:58:05 +0000

doublecmd (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add Build-Depends on fp-units-gfx to satisfy new
    requirement on libfontconfig unit

 -- Graham Inggs <ginggs@debian.org>  Wed, 09 Aug 2023 17:47:36 +0000

doublecmd (1.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sat, 01 Jul 2023 14:42:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 13),
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>,
+           Abou Al Montacir <abou.almontacir@sfr.fr>
+Build-Depends: debhelper-compat (= 13),
+               fp-units-gfx,
                fp-units-misc,
                fp-units-net,
                lcl-gtk2,
@@ -16,7 +17,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd

## doublecmd 1.1.7

=== debian/changelog ===
doublecmd (1.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 03 Dec 2023 15:44:45 +0000

doublecmd (1.1.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Nov 2023 17:22:27 +0000

## doublecmd 1.1.11

=== debian/changelog ===
doublecmd (1.1.11-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:35 +1100

doublecmd (1.1.11-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Thu, 14 Mar 2024 18:55:12 +0000

doublecmd (1.1.10-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sat, 02 Mar 2024 13:58:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=3
http://sf.net/doublecmd/doublecmd-(\d\S*)-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## doublecmd 1.1.13

=== debian/changelog ===
doublecmd (1.1.13-0.1~mx23+1) mx; urgency=medium

  * New upstream release
  * Make all suggested packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 26 Apr 2024 08:53:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>
@@ -64,8 +64,7 @@
 
 Package: doublecmd-plugins
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: twin-panel (commander-style) file manager (plugins)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander
@@ -80,8 +79,8 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: doublecmd-gtk | doublecmd-qt
-Depends: desktop-file-utils, ${misc:Depends}
-Suggests: doublecmd-help-en | doublecmd-help,
+Depends: desktop-file-utils, ${misc:Depends},
+          doublecmd-help-en | doublecmd-help,
           libffmpegthumbnailer4v5,
           libunrar5,
           mplayer,

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,6 @@
 	rm -rf $(CURDIR)/tmphome
 	dh_clean
 
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-

## doublecmd 1.1.14

=== debian/changelog ===
doublecmd (1.1.14-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 14 May 2024 18:38:59 -0700

doublecmd (1.1.13-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 03 May 2024 08:42:16 +0000

## doublecmd 1.1.15

=== debian/changelog ===
doublecmd (1.1.15-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 17 Jun 2024 17:26:47 -0700

## doublecmd 1.1.16

=== debian/changelog ===
doublecmd (1.1.16-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 15 Aug 2024 06:29:10 -0700

## doublecmd 1.1.17

=== debian/changelog ===
doublecmd (1.1.17-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Sep 2024 06:07:47 -0700

## doublecmd 1.1.19

=== debian/changelog ===
doublecmd (1.1.19-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Oct 2024 13:21:56 +0000

doublecmd (1.1.16-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Fri, 09 Aug 2024 17:23:01 +0000

doublecmd (1.1.14-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Graham Inggs <ginggs@debian.org>  Mon, 20 May 2024 12:33:18 +0000

## doublecmd 1.1.20

=== debian/changelog ===
doublecmd (1.1.20-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Nov 2024 14:06:05 +0000

## doublecmd 1.1.21

=== debian/changelog ===
doublecmd (1.1.21-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 11 Dec 2024 12:29:02 -0800

## doublecmd 1.1.22

=== debian/changelog ===
doublecmd (1.1.22-1build1) plucky; urgency=medium

  * NCR to drop the execstack bit (LP: #2100297)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 18 Mar 2025 12:44:04 +0100

doublecmd (1.1.22-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sun, 16 Feb 2025 16:16:49 +0000

doublecmd (1.1.21-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Sun, 22 Dec 2024 17:29:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>
 Build-Depends: debhelper-compat (= 13),
@@ -18,7 +17,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
@@ -64,7 +63,8 @@
 
 Package: doublecmd-plugins
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: twin-panel (commander-style) file manager (plugins)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander
@@ -79,8 +79,8 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: doublecmd-gtk | doublecmd-qt
-Depends: desktop-file-utils, ${misc:Depends},
-          doublecmd-help-en | doublecmd-help,
+Depends: desktop-file-utils, ${misc:Depends}
+Suggests: doublecmd-help-en | doublecmd-help,
           libffmpegthumbnailer4v5,
           libunrar5,
           mplayer,

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,3 @@
 	# Clean up temporary HOME
 	rm -rf $(CURDIR)/tmphome
 	dh_clean
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## doublecmd 1.1.24

=== debian/changelog ===
doublecmd (1.1.24-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 May 2025 13:56:27 -0700

doublecmd (1.1.22-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 23 Jan 2025 08:51:34 -0800

## doublecmd 1.1.28

=== debian/changelog ===
doublecmd (1.1.28-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 21 Aug 2025 15:58:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -65,3 +65,6 @@
 	# Clean up temporary HOME
 	rm -rf $(CURDIR)/tmphome
 	dh_clean
+	
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym

## doublecmd 1.1.30

=== debian/changelog ===
doublecmd (1.1.30-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Tue, 02 Dec 2025 13:49:32 +0000

doublecmd (1.1.28-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 4.7.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Aug 2025 14:39:23 +0000

## doublecmd 1.1.32

=== debian/changelog ===
doublecmd (1.1.32-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Drop Rules-Requires-Root: no, it is now the default
  * Drop Priority: optional, it is now the default
  * Bump Standards-Version to 4.7.3, no further changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 10 Jan 2026 13:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: doublecmd
 Section: utils
-Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Abou Al Montacir <abou.almontacir@sfr.fr>
 Build-Depends: debhelper-compat (= 13),
@@ -18,8 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
 Homepage: https://doublecmd.sourceforge.io
